* Module ctfile.h  V010AM01 === 091487
*
*    PROPRIETARY PROGRAM MATERIAL
* REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
* OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
* COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
* COPYRIGHT (C) 1987 UNISYS CORPORATION
*
if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

ErcType	ChangeFileLength plm far(int fh, long lfaNewFileSize);
ErcType	CheckReadAsync plm far(void *far pRq, int *far psDataRet);
ErcType	CheckWriteAsync plm far(void *far pRq, int *far psDataRet);
ErcType	CloseFile plm far(int fh);
ErcType	CreateFile plm far(char *far pbFileSpec, int cbFileSpec,
			char *far pbPassword, int cbPassword, 
			long lfaFileSize);
ErcType	Delete plm far(int fh);
ErcType	DeleteFile plm far(int fh);
ErcType	DismountVolume plm far(char *far pbVolName, unsigned cbVolName,
			char *far pbPassword, unsigned cbPassword);
ErcType	Format plm far(int fh, char *far pBuffer, unsigned sBuffer,
			long lfa, int *far psDataRet);
ErcType	GetVHB plm far(char *far pbDevSpec, unsigned cbDevSpec,
			void *far pVhbRet, unsigned sVhbMax);
ErcType	GetFileStatus plm far(int fh, int statusCode, void *far pStatusRet,
			int sStatusMax);
ErcType	MountVolume plm far(char *far pbDevSpec, unsigned cbDevSpec,
			char *far pbPassword, unsigned cbPassword);
ErcType	OpenFile plm far(int *far pFhRet, char *far pbDevSpec,
			unsigned cbDevSpec, char *far pbPassword,
			unsigned cbPassword, int mode);
ErcType	QueryDCB plm far(char *far pbDevSpec, unsigned cbDevSpec,
			void *far pDcbRet, unsigned sDcbMax);
ErcType	Read plm far(int fh, void *far pBufferRet, unsigned sBufferMax,
			long lfa, int *far psDataRet);
ErcType	ReadFile plm far(int fh, void *far pBufferRet, unsigned sBufferMax,
			long lfa, int *far psDataRet);
ErcType	ReadAsync plm far(int fh, void *far pBufferRet, 
			unsigned sBufferMax, long lfa, void *far pRq,
			int exchangeReply);
ErcType	SetDevParams plm far(char *far pbDevSpec, unsigned cbDevSpec,
			char *far pbPassword, unsigned cbPassword,
			int paramCode);
ErcType	SetFileStatus plm far(int fh, int statusCode, void *far pStatus,
			int sStatus);
ErcType	Write plm far(int fh, void *far pBuffer, unsigned sBuffer,
			long lfa, int *far psDataRet);
ErcType	WriteFile plm far(int fh, void *far pBuffer, unsigned sBuffer,
			long lfa, int *far psDataRet);
ErcType	WriteAsync plm far(int fh, void *far pBuffer, unsigned sBuffer,
			long lfa, void *far pRq, int exchangeReply);
